Ubuntu: how to fix broken packages on ubuntu 14.04 [duplicate]



Question:

This question already has an answer here:

I have uninstalled lamp but I want to install it again. But when I run this command

sudo apt-get install lamp-server^  

But when I run this command through this error message Unable to correct problems, you have held broken packages. how to fix that?


Solution:1

I had similar problem trying to install vlc player . A solution that worked for me was :- in terminal run

sudo apt-get update  sudo apt-get upgrade  

I then went to settings > software and updated and changed my download location from a local download to "main server".


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »